Subject: bug#32226: closed (Re: bug#32226: shadowfile test failures)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Aug 2018 16:21:02 +0000

Your bug report

#32226: shadowfile test failures

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32226: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32226
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32226: shadowfile test failures
From: Michael Albinus <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Aug 2018 18:19:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 26.2

> Glenn Morris <[email-masked]> writes:
>
>> Separately, please note that shadow-test08-shadow-todo has aborted on
>> hydra.nixos.org ever since it was first added.
>
> No further information, hmm. I've made a small compatibility change in
> shadowfile.el, which might fix it, or not. And I've instrumented
> shadow-test08-shadow-todo to be more chatty. Let's see.

After weeks of hunting, I could trap it finally. Fixed in master, all
shadowfile-tests tests pass successfully on hydra.

Since I've backported the fix to the emacs-26 branch, I'm closing this
bug for Emacs 26.2.

Best regards, Michael.

Subject: shadowfile test failures
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 20 Jul 2018 13:22:32 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 26.1.50
Severity: minor

Hi,

Current emacs-26 branch on rhel 7.5, multiple shadowfile test failures,
please see attached log.